cURL
curl --request GET \ --url https://api.wrkout.xyz/exercise/exerciseIds \ --header 'X-API-Key: <api-key>'
{ "exercises": [ { "id": "<string>", "name": "<string>", "displayName": "<string>", "aliases": [ "<string>" ], "premiumImages": [ "<string>" ], "premiumVideos": [ "<string>" ] } ], "pagination": { "total": 123 } }
Get all exercise IDs
The amount of results returned
1 <= x <= 25
cursor for pagination
Translation language requested. Please see the list of supported languages
successful operation
Show child attributes
The ID of the exercise
The name of the exercise (always in English)
The display name of the exercise to present to the user
The alternative names of the exercise
The premium images for the exercise. Only returned based on subscription plan
The premium videos for the exercise. Only returned based on subscription plan
The total count of records